import {
  getActiveSafety, getBelongingDepartment,
  getDynamicSupervision, getEmissionStandard, getFnGetFuelType, getLicenseStatus, getMobileUnit,
  getNetworkStatus,
  getTransportationEnterprise, getTransportCategory,
  getVehicleColor, getVehicleType
} from "@/request/operation_vehicle.js";
import { ref } from "vue";

export const layoutFnGetVehicleColor = async () => {
  const resData = await getVehicleColor({
    DICTIONARIES_ID: "xer11f2b259a42609512dfad07c4fb53",
  });
  return ref(resData.list);
};

export const layoutFnGetTransportationEnterprise = async () => {
  const resData = await getTransportationEnterprise({
    DICTIONARIES_ID: "73211f2b259a42609512dfad07c4f11a",
  });
  return ref(resData.list);
};
export const layoutFnGetMobileUnit = async () => {
  const resData = await getMobileUnit({
    DICTIONARIES_ID: "1e5d02ab69604aeeabfe91458245f7e1",
  });
  return ref(resData.list);
};

export const layoutFnGetNetworkStatus = async () => {
  const resData = await getNetworkStatus({
    DICTIONARIES_ID: "xes11f2b259a42609512dfad07c4fb53",
  });
  return ref(resData.list);
};

export const layoutFnGetDynamicSupervision = async () => {
  const resData = await getDynamicSupervision({
    DICTIONARIES_ID: "51011f2b259a42609512dfad07c4f11a",
  });
  return ref(resData.list);
};

export const layoutFnGetActiveSafety = async () => {
  const resData = await getActiveSafety({
    DICTIONARIES_ID: "59111f2b259a42609512dfad07c4f11a",
  });
  return ref(resData.list);
};

export const layoutFnGetLicenseStatus = async () => {
  const resData = await getLicenseStatus({
    DICTIONARIES_ID: "77711f2b259a42609512dfad07c4f11a",
  });
  return ref(resData.list);
};
export const layoutFnGetTransportCategory = async () => {
  const resData = await getTransportCategory({
    DICTIONARIES_ID: "08411f2b259a42609512dfad07c4f11a",
  });
  return ref(resData.list);
};
export const layoutFnGetBelongingDepartment = async () => {
  const resData = await getBelongingDepartment({
    DICTIONARIES_ID: "80x11f2b259a42609512dfad07c4f11a",
  });
  return ref(resData.list);
};

export const layoutFnGetVehicleType = async () => {
  const resData = await getVehicleType({
    DICTIONARIES_ID: "08411f2b259a45681512dfad07c4f11a",
  });
  return ref(resData.list);
};
export const layoutFnGetFuelType = async () => {
  const resData = await getFnGetFuelType({
    DICTIONARIES_ID: "8xe11f2b259a42609512dfad07c4f11a",
  });
  return ref(resData.list);
};
export const layoutFnGetEmissionStandard = async () => {
  const resData = await getEmissionStandard({
    DICTIONARIES_ID: "4xe11f2b259a42609512dfad07c4f11a",
  });
  return ref(resData.list);
};


